Debian Bug report logs - #635178
libcrypt-hcesha-perl: use Digest::SHA instead of Digest::SHA1

version graph

Package: src:libcrypt-hcesha-perl; Maintainer for src:libcrypt-hcesha-perl is Jonas Genannt <jonas.genannt@capi2name.de>;

Reported by: Jonas Genannt <jonas.genannt@capi2name.de>

Date: Sat, 23 Jul 2011 12:30:02 UTC

Severity: wishlist

Found in version libcrypt-hcesha-perl/0.70-2

Fixed in version libcrypt-hcesha-perl/0.70-3

Done: Jonas Genannt <jonas.genannt@capi2name.de>

Bug is archived. No further changes may be made.

Forwarded to http://rt.cpan.org/Public/Bug/Display.html?id=67841

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org:
Bug#635178; Package src:libcrypt-hcesha-perl. (Sat, 23 Jul 2011 12:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Genannt <jonas.genannt@capi2name.de>:
New Bug report received and forwarded. (Sat, 23 Jul 2011 12:30:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: libcrypt-hcesha-perl: use Digest::SHA instead of Digest::SHA1
Date: Sat, 23 Jul 2011 14:26:52 +0200
Source: libcrypt-hcesha-perl
Version: 0.70-2
Severity: wishlist
Usertags: digest-sha-perl-transition

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hello Jonas,

please include patch from upstream BTS:

	https://rt.cpan.org/Public/Bug/Display.html?id=67841

More information: http://deb.li/digestsha

Thanks,
	Jonas

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk4qvfYACgkQyDWRqLYW//rvKACeIJmL2JqVXSBwVKBxROmlyEJk
qNoAn3xD24KSaDLeoyRx6JQX7/X7p+US
=jJCG
-----END PGP SIGNATURE-----




Set Bug forwarded-to-address to 'http://rt.cpan.org/Public/Bug/Display.html?id=67841'. Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sat, 06 Aug 2011 12:03:08 GMT) Full text and rfc822 format available.

Reply sent to Jonas Genannt <jonas.genannt@capi2name.de>:
You have taken responsibility. (Tue, 09 Aug 2011 15:21:05 GMT) Full text and rfc822 format available.

Notification sent to Jonas Genannt <jonas.genannt@capi2name.de>:
Bug acknowledged by developer. (Tue, 09 Aug 2011 15:21:05 GMT) Full text and rfc822 format available.

Message #12 received at 635178-close@bugs.debian.org (full text, mbox):

From: Jonas Genannt <jonas.genannt@capi2name.de>
To: 635178-close@bugs.debian.org
Subject: Bug#635178: fixed in libcrypt-hcesha-perl 0.70-3
Date: Tue, 09 Aug 2011 15:17:21 +0000
Source: libcrypt-hcesha-perl
Source-Version: 0.70-3

We believe that the bug you reported is fixed in the latest version of
libcrypt-hcesha-perl, which is due to be installed in the Debian FTP archive:

libcrypt-hcesha-perl_0.70-3.debian.tar.gz
  to main/libc/libcrypt-hcesha-perl/libcrypt-hcesha-perl_0.70-3.debian.tar.gz
libcrypt-hcesha-perl_0.70-3.dsc
  to main/libc/libcrypt-hcesha-perl/libcrypt-hcesha-perl_0.70-3.dsc
libcrypt-hcesha-perl_0.70-3_all.deb
  to main/libc/libcrypt-hcesha-perl/libcrypt-hcesha-perl_0.70-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635178@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jonas Genannt <jonas.genannt@capi2name.de> (supplier of updated libcrypt-hcesha-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Aug 2011 19:19:21 +0200
Source: libcrypt-hcesha-perl
Binary: libcrypt-hcesha-perl
Architecture: source all
Version: 0.70-3
Distribution: unstable
Urgency: low
Maintainer: Jonas Genannt <jonas.genannt@capi2name.de>
Changed-By: Jonas Genannt <jonas.genannt@capi2name.de>
Description: 
 libcrypt-hcesha-perl - Perl extension for one way hash chaining encryption using SHA
Closes: 635178
Changes: 
 libcrypt-hcesha-perl (0.70-3) unstable; urgency=low
 .
   * added d/watch
   * reduced d/rules
   * d/control: added Homepage link
   * bumped dephelper compat level
   * Switch to dpkg-source 3.0 (quilt) format
   * bumped standards version
   * added patch for Digest::SHA translation (Closes: #635178)
   * d/control: removed version dep of perl
Checksums-Sha1: 
 2a25cb7292919c274243e939ebf87985c2db4813 1147 libcrypt-hcesha-perl_0.70-3.dsc
 7b0737b43c82323a63176f33ebd6eb37dbf6b936 2952 libcrypt-hcesha-perl_0.70-3.debian.tar.gz
 1af89e75090df6881a4703f7da72c5eced870b82 10020 libcrypt-hcesha-perl_0.70-3_all.deb
Checksums-Sha256: 
 65ea325fb206b21c08f2759e3dc94628aaf5f0bc5c67e18d6e2add041715c0c9 1147 libcrypt-hcesha-perl_0.70-3.dsc
 508c0d277527b01b6fc02d3c340cc74606e995b65f40022718bee80917a779bd 2952 libcrypt-hcesha-perl_0.70-3.debian.tar.gz
 77b1b81ff4e36828cc26176763f2066cb05f865a7ca6a4a3aff6cc7cd7b8550b 10020 libcrypt-hcesha-perl_0.70-3_all.deb
Files: 
 fb51b5a7c304fb7260d813956fc58636 1147 perl optional libcrypt-hcesha-perl_0.70-3.dsc
 576b5d85b04b3a22aaaa9c10b47aaf49 2952 perl optional libcrypt-hcesha-perl_0.70-3.debian.tar.gz
 b50c8323c0af52d83fc066967a84ce32 10020 perl optional libcrypt-hcesha-perl_0.70-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk5BTY0ACgkQ+C5cwEsrK57VtgCg4rvd23YFrLqvX3wizvsNxmD0
W5cAn31eDtwQodgDP7/DJPyKKztDuu2L
=zdeW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 17 Sep 2011 07:34:51 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:04:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.